import cadquery2 as cq
from cadquery2 import exporters

lower_stands = (
    cq.Sketch().push([(0, 0), (58, 0), (58, 23), (0, 23)]).circle(3, mode="a")
)

higher_stands = (
    cq.Sketch().push([(0, 0), (58, 0), (58, 23), (0, 23)]).circle(2.65 / 2, mode="a")
)

model = (
    cq.Workplane("XY")
    .workplane()
    .box(75, 40, 2)
    .edges("+Z")
    .fillet(3)
    .faces(">Z")
    .workplane(centerOption="CenterOfBoundBox")
    .center(-29, -11.5)
    .placeSketch(lower_stands)
    .extrude(4)
    .workplane()
    .placeSketch(higher_stands)
    .extrude(9)
)

exporters.export(model, "cpu_holder.stl")
